commit:     9edbadd7a1a92eebb5a46ce0b89d614e114ac64e
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sun Jul 11 14:30:42 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 16 01:33:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9edbadd7

net-analyzer/iplog: EAPI8 revbump, ebuild improvements

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/21603
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/iplog/iplog-2.2.3-r3.ebuild | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/net-analyzer/iplog/iplog-2.2.3-r3.ebuild 
b/net-analyzer/iplog/iplog-2.2.3-r3.ebuild
new file mode 100644
index 00000000000..09cfb969491
--- /dev/null
+++ b/net-analyzer/iplog/iplog-2.2.3-r3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="TCP/IP traffic logger"
+HOMEPAGE="http://ojnk.sourceforge.net/";
+SRC_URI="mirror://sourceforge/ojnk/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 FDL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~mips ~ppc ~sparc ~x86"
+
+DEPEND="net-libs/libpcap"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PV}-DLT_LINUX_SSL.patch )
+
+DOCS=( AUTHORS NEWS README TODO example-iplog.conf )
+
+src_compile() {
+       append-cppflags -D_REENTRANT
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" all
+}
+
+src_install() {
+       default
+       newinitd "${FILESDIR}"/iplog.rc6 iplog
+}

Reply via email to